get
https://api.rotowire.com/Basketball/CBB/News/Injuries.php
Injury-specific news items for college basketball players.
Attributes
Top-Level Fields
| Field | Type | Description |
|---|---|---|
Date | string | Date in YYYY-MM-DD format |
Updates | array | Array of news or injury update objects |
Updates Object
| Field | Type | Description |
|---|---|---|
Id | string | Unique RotoWire identifier |
DateTime | string | Date and time in ISO 8601 format |
LastEdited | string | Timestamp of the most recent edit in ISO 8601 format |
Priority | string | News priority level — 1 = Biggest News, 2 = Top Players, 3 = Regular, 4 = Minor Leaguers, 5 = Non-Fantasy |
Headline | string | Short headline summarizing the update |
Notes | string | Brief factual notes about the player or event |
Analysis | string | In-depth analytical commentary on fantasy and betting impact |
Injury | object | Injury status and details |
Player | object | Player information object |
Team | object | Team information object |
Injury Object
| Field | Type | Description |
|---|---|---|
Status | string | Injury or availability status (e.g. OUT, GTD, Q, D, IR) |
Type | string | Type of injury (e.g. Knee, Ankle, Back, Hamstring) |
Location | string | General body location of the injury |
Detail | string | Specific injury detail or descriptor (e.g. Sprain, Strain, Fracture) |
Side | string | Affected side of the body (Left, Right, or Not Specified) |
ReturnDate | string | Estimated date of return from injury (YYYY-MM-DD) |
Player Object
| Field | Type | Description |
|---|---|---|
FirstName | string | Player's first name |
LastName | string | Player's last name |
Position | string | Player's eligible position(s) (e.g. PG, SG, SF, PF, C, G, F, G/F, F/C) |
Link | string | URL to the player's RotoWire profile page |
Id | string | Unique RotoWire identifier |
SportDataIOId | string | SportsDataIO identifier for this player |
Team Object
| Field | Type | Description |
|---|---|---|
Name | string | Full name |
Nickname | string | Team or player nickname |
Id | string | Unique RotoWire identifier |
Example Response
{"Date":"2026-05-14","Updates":{"Id":"162787","DateTime":"2026-05-14 11:27:02.400","LastEdited":null,"Priority":"3","Headline":"Committed to Prairie View","Notes":"Harris has committed to play for Praire View A\u0026amp;M for the 2026-27 season, per Portal Updates.","Analysis":"Harris will join the Panthers following a single season with Wyoming. The 6-foot-2 sophomore averaged four points and 2.4 rebounds in 9.8 minutes per game across 12 contests for the Cowboys this past season. The former Memphis transfer will retain two years of eligibility with Prairie View moving forward.","Injury":{"Status":"GTD","Type":"Toe","Location":"Leg","Detail":null,"Side":null,"ReturnDate":"2026-10-01"},"Player":{"FirstName":"Jared","LastName":"Harris","Position":"G","Link":"https://www.rotowire.com/cbasketball/player/jared-harris-25920","Id":"25920","SportDataIOId":"60033661"},"Team":{"Name":"Prairie View","Nickname":"Panthers","Id":"Prairie View"}}}